<!DOCTYPE html>
<html>
<head>
</head>
<body>
<h1>Click on the button to know your current location</h1>
<button onclick="getLocation()">Get My Location</button>
<p id="demo"></p>
<script>


var x = document.getElementById("demo");
function getLocation() {
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(showPosition,showError);
    } else {
        x.innerHTML = "Geolocation is not supported by this browser.";
    }
}
function showPosition(position) {
    x.innerHTML = "Latitude: " + position.coords.latitude + 
    "<br>Longitude: " + position.coords.longitude; 
}

function showError(error) {
    switch(error.code) {
        case error.PERMISSION_DENIED:
            x.innerHTML = "User denied the request for Geolocation."
            break;
        case error.POSITION_UNAVAILABLE:
            x.innerHTML = "Location information is unavailable."
            break;
        case error.TIMEOUT:
            x.innerHTML = "The request to get user location timed out."
            break;
        case error.UNKNOWN_ERROR:
            x.innerHTML = "An unknown error occurred."
            break;
    }
}

if (typeof(Storage) !== "undefined") {
   locationStorage.setItem("location",navigator.geolocation.getCurrentPosition());
    document.getElementById("demo").innerHTML = localStorage.getItem("location");
} else {
    document.getElementById("demo").innerHTML = "Sorry, your browser does not support Web Storage...";
}
</script>
</body>
</html>
